## ryu 3.14

=== debian/changelog ===
ryu (3.14-1) unstable; urgency=medium

  * Imported Upstream version 3.14
  * Updated path in d/copyright
  * Bump standards to 3.9.6 
    - no changes needed

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 22 Oct 2014 09:37:48 +0200

ryu (3.12-1) unstable; urgency=medium

  * Initial release (Closes: #758509)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 18 Aug 2014 16:58:52 +0200
