=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9), python-all (>= 2.6), python-sphinx, sphinx-common
Build-Depends-Indep:
 python-eventlet,
 python-lxml,
 python-msgpack (>= 0.3.0),
 python-netaddr,
 python-oslo.config (>= 1:1.2.0),
 python-paramiko,
 python-routes,
 python-six (>= 1.4.0),
 python-webob (>=1.2),
 python-setuptools,
 python-pbr
Standards-Version: 3.9.6
Homepage: http://osrg.github.io/ryu/
Vcs-Git: git://anonscm.debian.org/collab-maint/ryu.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ryu.git
X-Python-Version: >= 2.6

Package: python-ryu
Architecture: all
Section: python
Depends:
 python-eventlet,
 python-lxml,
 python-msgpack (>= 0.3.0),
 python-netaddr,
 python-oslo.config (>= 1:1.2.0),
 python-paramiko,
 python-routes,
 python-six (>= 1.4.0),
 python-webob (>=1.2),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ryu-doc
Provides: ${python:Provides}
X-Python-Version: ${python:Versions}
Description: software defined networking framework (Python libs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python library.

Package: ryu-bin
Architecture: all
Depends:
 python-ryu,
 ${misc:Depends},
 ${python:Depends},
Description: software defined networking framework (ryu binary)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

Package: python-ryu-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends} 
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.
