=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installman:
	cd doc; \
	make man; \
	cp build/man/* ../debian/
	dh_installman

override_dh_auto_build:
	dh_auto_build
	mkdir -p debian/html
	cd doc; \
	make html; \
	cp -r build/html/* ../debian/html/

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc

override_dh_installinit:
	dh_installinit --no-start --name=ryu

override_dh_installlogrotate:
	dh_installlogrotate --name=ryu

override_dh_auto_clean:
	rm -rf debian/html doc/build 
	rm -rf ryu.egg-info/
	rm -rf debian/ryu-manager.8 debian/ryu.8
	dh_auto_clean
