=== debian/watch ===
version=3
https://github.com/osrg/ryu/releases .*/archive/v(\d[\d\.]+)\.tar\.gz
