## ryu 3.24

=== debian/changelog ===
ryu (3.24-1ubuntu2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Sep 2015 14:49:36 +0000

ryu (3.24-1ubuntu2) wily; urgency=medium

  * d/p/fix-i386-test-failures.patch: Fixup misc i386 issues due to
    differences in use of long and int depending on architecture in use.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Sep 2015 15:19:31 +0100

ryu (3.24-1ubuntu1) wily; urgency=medium

  * d/p/uncap-pbr-version.patch: Drop requirement of pbr<1.0.
  * d/rules: Run tests during build.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Sep 2015 17:38:12 +0100

ryu (3.24-1) unstable; urgency=medium

  * Imported Upstream version 3.24 (Closes: #794101)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 09 Aug 2015 17:45:44 +0200

ryu (3.23-2) unstable; urgency=medium

  * d/rules: doc build date taken from changelog

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 30 Jul 2015 20:55:33 +0200

ryu (3.23-1) unstable; urgency=medium

  * Imported Upstream version 3.23

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 23 Jul 2015 11:27:02 +0200

ryu (3.19-1) unstable; urgency=medium

  * Imported Upstream version 3.19
  * d/control: dh-python added to build deps

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 22 Mar 2015 19:37:52 +0100
