=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
+
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
 	dh $@ --with python2
 
 override_dh_installman:
 	cd doc; \
-	make man; \
+	make man SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" ;\
 	cp build/man/* ../debian/
 	dh_installman
 
@@ -31,3 +34,6 @@
 	rm -rf ryu.egg-info/
 	rm -rf debian/ryu-manager.8 debian/ryu.8
 	dh_auto_clean
+
+override_dh_auto_test:
+	./run_tests.sh -N -P
