=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
https://github.com/osrg/ryu/releases .*/archive/v(\d[\d\.]+)\.tar\.gz
