## ryu 4.4+dfsg1

=== debian/changelog ===
ryu (4.4+dfsg1-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:58 +0200

ryu (4.4+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Remove ryu/contrib/ovs from debian/copyright (folder is gone).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 16:13:52 +0200

ryu (3.30+dfsg1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Add build-depends-indep on python-sphinx-rtd-theme. (Closes: #829024)

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 09:58:13 +0200
