## ryu 4.5+dfsg1

=== debian/changelog ===
ryu (4.5+dfsg1-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton:
    - d/p/*: Drop all patches, no longer required.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Sep 2016 22:09:45 +0100

ryu (3.30+dfsg1-3ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control,ryu-bin.postinst,ryu-bin.ryu.init.in: Run ryu daemon as
      ryu user instead of root.
    - d/python3-ryu.postinst: Prefer Python 3 binaries if both python
      module versions are installed.
    - d/rules: Tidy package clean.

 -- James Page <james.page@ubuntu.com>  Thu, 04 Aug 2016 17:23:49 +0100

ryu (3.30+dfsg1-1ubuntu4) yakkety; urgency=medium

  * d/control,ryu-bin.postinst,ryu-bin.ryu.init.in: Run ryu daemon as
    ryu user instead of root.
  * d/python3-ryu.postinst: Prefer Python 3 binaries if both python
    module versions are installed.
  * d/rules: Tidy package clean.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Jul 2016 09:08:38 +0100

ryu (3.30+dfsg1-1ubuntu3) yakkety; urgency=medium

  * Add python3 support, default ryu-bin to python3:
    - d/p/py3-compat.patch: Python3 compatibility for ovs contrib module.
    - d/control,rules: Add python3-ryu package with alternatives
      configuration for ryu and ryu-manager.
    - d/control: Prefer python3-ryu for ryu-bin package.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Jul 2016 19:02:05 +0100

ryu (3.30+dfsg1-1ubuntu2) xenial; urgency=medium

  * debian/patches/fix-i386-test-failures.patch: Add i386 long support to
    ryu/lib/ip.py and ryu/lib/ofctl_utils.py.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Apr 2016 15:40:46 -0400

ryu (3.30+dfsg1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-i386-test-failures.patch:
      + Fixup misc i386 issues due to differences in use
        of long and int depending on architecture in use.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Mar 2016 16:57:09 -0400

ryu (3.26-1ubuntu2) xenial; urgency=medium

  * d/p/fix-i386-test-failures.patch: Patch i386 hexify() bug in
    ryu/ofproto/ofproto_parser.py.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Feb 2016 14:25:25 +0000

ryu (3.26-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-i386-test-failures.patch:
      + Fixup misc i386 issues due to differences in use
        of long and int depending on architecture in use.
  * Drop following changes:
    - debian/control:
      + No need to force versioning Build-Depends.
    - debian/patches/uncap-pbr-version.patch:
      + Fixed upstream.
    - debian/rules:
      + Test are already enabled in Debian.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 01 Jan 2016 21:56:27 +0100
