## ryu 4.9

=== debian/changelog ===
ryu (4.9-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Aug 2017 15:35:58 +0200

ryu (4.4+dfsg1-2) UNRELEASED; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:58 +0200
