=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends: debhelper (>= 10),
               dh-systemd,
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               sphinx-common,
Build-Depends-Indep: python-eventlet,
                     python-formencode,
                     python-lxml,
                     python-mock,
                     python-msgpack,
                     python-ncclient,
                     python-tinyrpc,
                     python-openvswitch,
                     python-netaddr,
                     python-nose,
                     python-oslo.config,
                     python-paramiko,
                     python-routes,
                     python-six,
                     python-sphinx-rtd-theme,
                     python-webob,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/ryu.git
Vcs-Git: https://anonscm.debian.org/git/openstack/ryu.git
Homepage: http://osrg.github.io/ryu/

Package: python-ryu
Architecture: all
Section: python
Depends: python-eventlet,
         python-lxml,
         python-msgpack,
         python-netaddr,
         python-ncclient,
         python-openvswitch,
         python-tinyrpc,
         python-oslo.config,
         python-paramiko,
         python-routes,
         python-six,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ryu-doc,
Provides: ${python:Provides},
Description: software defined networking framework - Python 2.7
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python 2.7 module.

Package: ryu-bin
Architecture: all
Depends: python-ryu (= ${binary:Version}),
         lsb-base,
         ${misc:Depends},
         ${python:Depends},
Description: software defined networking framework - ryu binary
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

Package: python-ryu-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.
