## ryu 4.15

=== debian/changelog ===
ryu (4.15-0ubuntu2) bionic; urgency=medium

  * d/p/test_rpc-Adopt-to-msgpack-python-0.50.patch: Cherry-picked from
    upstream to fix test failure "test_0_call_bytearray() did not raise
    TypeError".

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Apr 2018 16:03:14 -0400

ryu (4.15-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/p/no-pip.patch, d/control: Drop the use of pip by unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Aug 2017 16:47:51 -0400

ryu (4.9-0ubuntu2) zesty; urgency=medium

  * debian/rules: Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2017 10:24:32 -0500

ryu (4.9-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * d/control: Add python-openvswitch and python-tinyrpc

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2017 22:22:35 -0500
