=== debian/control ===
--- 
+++ 
@@ -1,37 +1,54 @@
 Source: ryu
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
+               dh-python,
                dh-systemd,
-               dh-python,
                openstack-pkg-tools,
                python-all,
                python-pbr,
                python-setuptools,
                python-sphinx,
+               python-sphinx-rtd-theme,
+               python3-all,
+               python3-pbr,
+               python3-setuptools,
                sphinx-common,
 Build-Depends-Indep: python-eventlet,
                      python-formencode,
                      python-lxml,
                      python-mock,
                      python-msgpack,
-                     python-ncclient,
-                     python-tinyrpc,
-                     python-openvswitch,
                      python-netaddr,
                      python-nose,
                      python-oslo.config,
                      python-paramiko,
                      python-routes,
+                     python-testtools,
+                     python-tinyrpc,
+                     python-openvswitch,
                      python-six,
-                     python-sphinx-rtd-theme,
                      python-webob,
+                     python3-eventlet,
+                     python3-formencode,
+                     python3-lxml,
+                     python3-mock,
+                     python3-msgpack,
+                     python3-netaddr,
+                     python3-nose,
+                     python3-oslo.config,
+                     python3-paramiko,
+                     python3-routes,
+                     python3-six,
+                     python3-testtools,
+                     python3-webob,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/ryu.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/ryu.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ryu
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ryu
 Homepage: http://osrg.github.io/ryu/
 
 Package: python-ryu
@@ -41,18 +58,19 @@
          python-lxml,
          python-msgpack,
          python-netaddr,
-         python-ncclient,
-         python-openvswitch,
-         python-tinyrpc,
          python-oslo.config,
          python-paramiko,
          python-routes,
+         python-openvswitch,
+         python-tinyrpc,
          python-six,
          python-webob,
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-ryu-doc,
 Provides: ${python:Provides},
+Breaks: ryu-bin (<< 3.30+dfsg1-4~),
+Replaces: ryu-bin (<< 3.30+dfsg1-4~),
 Description: software defined networking framework - Python 2.7
  Ryu is a component-based software defined networking framework.
  Ryu provides software components with well defined API that make
@@ -63,12 +81,39 @@
  .
  This package provides the Python 2.7 module.
 
+Package: python3-ryu
+Architecture: all
+Section: python
+Depends: python3-eventlet,
+         python3-lxml,
+         python3-msgpack,
+         python3-netaddr,
+         python3-oslo.config,
+         python3-paramiko,
+         python3-routes,
+         python3-six,
+         python3-webob,
+         ${misc:Depends},
+         ${python3:Depends},
+Suggests: python-ryu-doc,
+Provides: ${python3:Provides},
+Breaks: ryu-bin (<< 3.30+dfsg1-4~),
+Replaces: ryu-bin (<< 3.30+dfsg1-4~),
+Description: software defined networking framework - Python 3
+ Ryu is a component-based software defined networking framework.
+ Ryu provides software components with well defined API that make
+ it easy for developers to create new network management and control
+ applications. Ryu supports various protocols for managing network
+ devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
+ Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
+ .
+ This package provides the Python 3 module.
+
 Package: ryu-bin
 Architecture: all
-Depends: python-ryu (= ${binary:Version}),
-         lsb-base,
+Depends: adduser,
+         python3-ryu (= ${binary:Version}) | python-ryu (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
 Description: software defined networking framework - ryu binary
  Ryu is a component-based software defined networking framework.
  Ryu provides software components with well defined API that make
