=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,12 @@
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=.:./ryu/contrib python ryu/tests/run_tests.py
+	PYTHONPATH=. python ryu/tests/run_tests.py
+#	PYTHONPATH=. python3 ryu/tests/run_tests.py
 endif
 
 override_dh_installman:
@@ -29,9 +30,24 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-ryu-doc/usr/share/doc/python-ryu-doc/html
+	#PYTHONPATH=. sphinx-build -b html doc/source debian/python-ryu-doc/usr/share/doc/python-ryu-doc/html
 	dh_sphinxdoc
 endif
+
+override_dh_auto_install:
+	set -e && for pyvers in $(PYTHONS); do \
+        python$$pyvers setup.py install --install-layout=deb \
+            --root $(CURDIR)/debian/python-ryu; \
+    done
+	set -e && for pyvers in $(PYTHON3S); do \
+        python$$pyvers setup.py install --install-layout=deb \
+            --root $(CURDIR)/debian/python3-ryu; \
+    done
+	mv $(CURDIR)/debian/python-ryu/usr/bin/ryu $(CURDIR)/debian/python-ryu/usr/bin/python2-ryu
+	mv $(CURDIR)/debian/python3-ryu/usr/bin/ryu $(CURDIR)/debian/python3-ryu/usr/bin/python3-ryu
+	mv $(CURDIR)/debian/python-ryu/usr/bin/ryu-manager $(CURDIR)/debian/python-ryu/usr/bin/python2-ryu-manager
+	mv $(CURDIR)/debian/python3-ryu/usr/bin/ryu-manager $(CURDIR)/debian/python3-ryu/usr/bin/python3-ryu-manager
+	rm -rf $(CURDIR)/debian/python3-ryu/usr/etc $(CURDIR)/debian/python-ryu/usr/etc
 
 override_dh_installinit:
 	dh_installinit --no-start --name=ryu
@@ -41,13 +57,11 @@
 
 override_dh_clean:
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_clean
-	rm -f debian/*.init debian/*.upstart debian/*.service
-	rm -rf doc/build
-	rm -rf build
+	rm -rf debian/*.init debian/*.upstart debian/*.service build doc/build
 
 override_dh_auto_clean:
 	rm -rf debian/ryu-manager.8 debian/ryu.8
-	#http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
 
 # Commands not to run
 override_dh_installcatalogs:
